Index: cprs/trunk/CPRS-Chart/BA/fBALocalDiagnoses.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/BA/fBALocalDiagnoses.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/BA/fBALocalDiagnoses.dfm	(revision 829)
@@ -1,15 +1,8 @@
-object frmBALocalDiagnoses: TfrmBALocalDiagnoses
-  Left = 192
-  Top = 61
-  Width = 620
-  Height = 544
+inherited frmBALocalDiagnoses: TfrmBALocalDiagnoses
+  Left = 272
+  Top = 142
   Caption = 'Assign Diagnoses to Order(s)'
-  Color = clBtnFace
-  Font.Charset = DEFAULT_CHARSET
-  Font.Color = clWindowText
-  Font.Height = -11
-  Font.Name = 'MS Sans Serif'
-  Font.Style = []
-  KeyPreview = True
+  ClientHeight = 517
+  ClientWidth = 612
   OldCreateOrder = False
   Position = poScreenCenter
@@ -17,9 +10,11 @@
   OnActivate = FormActivate
   OnCreate = FormCreate
-  OnDestroy = FormDestroy
+  OnKeyPress = FormKeyPress
   OnShow = FormShow
+  ExplicitWidth = 620
+  ExplicitHeight = 551
   PixelsPerInch = 96
   TextHeight = 13
-  object pnlTop: TPanel
+  object pnlTop: TPanel [0]
     Left = 0
     Top = 0
@@ -33,29 +28,17 @@
       96)
     object lbOrders: TListBox
-      Left = 7
+      Left = 8
       Top = 25
-      Width = 599
+      Width = 602
       Height = 69
       Anchors = [akLeft, akTop, akRight, akBottom]
       IntegralHeight = True
       ItemHeight = 13
-      TabOrder = 2
+      TabOrder = 1
       OnMouseMove = lbOrdersMouseMove
     end
-    object ORStaticText1: TORStaticText
-      Left = 216
+    object lblPatientName: TStaticText
+      Left = 8
       Top = 8
-      Width = 169
-      Height = 14
-      AutoSize = False
-      Caption = 'Selected Orders'
-      TabOrder = 1
-      TabStop = True
-      OnEnter = ORStaticText1Enter
-      OnExit = ORStaticText1Exit
-    end
-    object lblPatientName: TStaticText
-      Left = 11
-      Top = 9
       Width = 76
       Height = 17
@@ -68,8 +51,7 @@
       ParentFont = False
       TabOrder = 0
-      TabStop = True
-    end
-  end
-  object pnlMain: TPanel
+    end
+  end
+  object pnlMain: TPanel [1]
     Left = 0
     Top = 96
@@ -78,10 +60,25 @@
     Align = alClient
     TabOrder = 1
+    object lblDiagSect: TLabel
+      Left = 9
+      Top = 1
+      Width = 241
+      Height = 17
+      AutoSize = False
+      Caption = 'Diagnosis Section'
+    end
+    object lblDiagCodes: TLabel
+      Left = 253
+      Top = 1
+      Width = 353
+      Height = 17
+      AutoSize = False
+      Caption = 'Diagnosis Codes'
+    end
     object lbSections: TORListBox
       Left = 9
-      Top = 16
+      Top = 14
       Width = 238
-      Height = 201
-      Style = lbOwnerDrawVariable
+      Height = 199
       IntegralHeight = True
       ItemHeight = 13
@@ -95,5 +92,4 @@
       LongList = False
       Pieces = '3'
-      CheckEntireLine = True
     end
     object btnOther: TButton
@@ -107,5 +103,5 @@
     end
     object lbDiagnosis: TORListBox
-      Left = 248
+      Left = 253
       Top = 16
       Width = 353
@@ -122,32 +118,6 @@
       Pieces = '1,2,3'
     end
-    object ORStaticText2: TORStaticText
-      Left = 8
-      Top = 1
-      Width = 241
-      Height = 17
-      AutoSize = False
-      BevelKind = bkFlat
-      Caption = 'Diagnosis Section'
-      TabOrder = 0
-      TabStop = True
-      OnEnter = ORStaticText1Enter
-      OnExit = ORStaticText1Exit
-    end
-    object ORStaticText3: TORStaticText
-      Left = 248
-      Top = 1
-      Width = 353
-      Height = 17
-      AutoSize = False
-      BevelKind = bkFlat
-      Caption = 'Diagnosis Codes'
-      TabOrder = 3
-      TabStop = True
-      OnEnter = ORStaticText1Enter
-      OnExit = ORStaticText1Exit
-    end
-  end
-  object pnlBottom: TORAutoPanel
+  end
+  object pnlBottom: TORAutoPanel [2]
     Left = 0
     Top = 355
@@ -159,36 +129,4 @@
       612
       162)
-    object lvDxGrid: TListView
-      Left = 12
-      Top = 19
-      Width = 445
-      Height = 85
-      Color = clInfoBk
-      Columns = <
-        item
-          Caption = 'Add To PL/PD'
-          Width = 85
-        end
-        item
-          Caption = 'Primary'
-          MinWidth = 65
-          Width = 65
-        end
-        item
-          Caption = 'Diagnosis for Selected Orders'
-          MinWidth = 275
-          Width = 290
-        end>
-      Ctl3D = False
-      HideSelection = False
-      MultiSelect = True
-      ReadOnly = True
-      RowSelect = True
-      TabOrder = 1
-      ViewStyle = vsReport
-      OnClick = lvDxGridClick
-      OnKeyDown = lvDxGridKeyDown
-      OnKeyUp = lvDxGridKeyUp
-    end
     object cbAddToPDList: TCheckBox
       Left = 459
@@ -197,5 +135,5 @@
       Height = 17
       Caption = 'Add to Personal Dx List'
-      TabOrder = 3
+      TabOrder = 2
       OnClick = cbAddToPDListClick
     end
@@ -207,5 +145,5 @@
       Anchors = [akLeft, akTop, akRight, akBottom]
       Caption = 'Add To Problem List'
-      TabOrder = 2
+      TabOrder = 0
       OnClick = cbAddToPLClick
     end
@@ -216,5 +154,5 @@
       Height = 19
       Caption = '&Primary'
-      TabOrder = 4
+      TabOrder = 3
       OnClick = btnPrimaryClick
     end
@@ -225,5 +163,5 @@
       Height = 19
       Caption = '&Remove'
-      TabOrder = 5
+      TabOrder = 4
       OnClick = btnRemoveClick
     end
@@ -234,5 +172,5 @@
       Height = 18
       Caption = '&Select All'
-      TabOrder = 6
+      TabOrder = 5
       OnClick = btnSelectAllClick
     end
@@ -243,5 +181,5 @@
       Height = 21
       Caption = '&OK'
-      TabOrder = 7
+      TabOrder = 6
       OnClick = buOKClick
     end
@@ -252,19 +190,107 @@
       Height = 21
       Caption = '&Cancel'
-      TabOrder = 8
+      TabOrder = 7
       OnClick = buCancelClick
     end
-    object ORStaticText4: TORStaticText
-      Left = 14
-      Top = 3
-      Width = 219
-      Height = 14
-      AutoSize = False
+    object gbProvDiag: TGroupBox
+      Left = 8
+      Top = 0
+      Width = 449
+      Height = 105
       Caption = 'Provisional Diagnosis'
-      TabOrder = 0
-      TabStop = True
-      OnEnter = ORStaticText1Enter
-      OnExit = ORStaticText1Exit
-    end
+      TabOrder = 1
+      object lvDxGrid: TListView
+        Left = 2
+        Top = 15
+        Width = 445
+        Height = 88
+        Align = alClient
+        Color = clInfoBk
+        Columns = <
+          item
+            Caption = 'Add To PL/PD'
+            Width = 85
+          end
+          item
+            Caption = 'Primary'
+            MinWidth = 65
+            Width = 65
+          end
+          item
+            Caption = 'Diagnosis for Selected Orders'
+            MinWidth = 275
+            Width = 290
+          end>
+        Ctl3D = False
+        HideSelection = False
+        MultiSelect = True
+        ReadOnly = True
+        RowSelect = True
+        TabOrder = 0
+        ViewStyle = vsReport
+        OnClick = lvDxGridClick
+        OnKeyDown = lvDxGridKeyDown
+        OnKeyUp = lvDxGridKeyUp
+      end
+    end
+  end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = pnlTop'
+        'Status = stsDefault')
+      (
+        'Component = lbOrders'
+        'Status = stsDefault')
+      (
+        'Component = lblPatientName'
+        'Status = stsDefault')
+      (
+        'Component = pnlMain'
+        'Status = stsDefault')
+      (
+        'Component = lbSections'
+        'Label = lblDiagSect'
+        'Status = stsOK')
+      (
+        'Component = btnOther'
+        'Status = stsDefault')
+      (
+        'Component = lbDiagnosis'
+        'Label = lblDiagCodes'
+        'Status = stsOK')
+      (
+        'Component = pnlBottom'
+        'Status = stsDefault')
+      (
+        'Component = cbAddToPDList'
+        'Status = stsDefault')
+      (
+        'Component = cbAddToPL'
+        'Status = stsDefault')
+      (
+        'Component = btnPrimary'
+        'Status = stsDefault')
+      (
+        'Component = btnRemove'
+        'Status = stsDefault')
+      (
+        'Component = btnSelectAll'
+        'Status = stsDefault')
+      (
+        'Component = buOK'
+        'Status = stsDefault')
+      (
+        'Component = buCancel'
+        'Status = stsDefault')
+      (
+        'Component = gbProvDiag'
+        'Status = stsDefault')
+      (
+        'Component = lvDxGrid'
+        'Status = stsDefault')
+      (
+        'Component = frmBALocalDiagnoses'
+        'Status = stsDefault'))
   end
 end
